#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%global make_common_opts \\\
	PACKAGE_NAME=%{name} \\\
	RPM_VERSION=%{version} \\\
	RPM_RELEASE=%{release} \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	DATAROOT_DIR=%{_datadir} \\\
	MAN_DIR=%{_mandir} \\\
	PYFLAKES=true \\\
	PEP8=true \\\
	%{?null}

Summary:	RHSC setup plugins
Name:		rhsc-setup-plugins
Version:	3.0.4
Release:	1.2%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.redhat.com/storage
Source:		%{name}-%{version}-1.2.tar.gz
Group:		Storage/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Obsoletes:      rhevm-setup-plugins

%description
Setup plugins for RHSC

%prep
%setup -q -n %{name}-3.0.4

%build
make %{?_smp_mflags} %{make_common_opts}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} %{make_common_opts} install DESTDIR="%{buildroot}"
install -d "%{buildroot}%{_bindir}"
ln -sf "%{_datadir}/rhsc-setup/bin/rhsc_monitoring.sh" "%{buildroot}%{_bindir}/rhsc-monitoring"

%files
%{_datadir}/ovirt-engine/setup/plugins/*/rhsc-setup-plugins/
%{_datadir}/ovirt-engine/setup/plugins/*/rhsc/config/
%{_datadir}/ovirt-engine/setup/ovirt_engine_setup/
%{_datadir}/ovirt-engine/firewalld/rhsc/
%attr(0755, -, -) %{_datadir}/rhsc-setup/bin/*
%{_bindir}/rhsc-monitoring

%changelog
* Tue Mar 3 2015 Ramesh Nachimuthu<rnachimu@redhat.com> - 3.0.4-1.2
- Resolves: rhbz#1197983

* Thu Feb 19 2015 Sahina Bose<sabose@redhat.com> - 3.0.4-1.1
- Fix bugs bz#1166563

* Fri Feb 13 2015 Ramesh Nachimuthu<rnachimu@redhat.com> - 3.0.4-1.0
- Fix bugs bz#1164682

* Tue Nov 18 2014 Shubhendu Tripathi <shtripat@redhat.com> - 3.0.3-1.1
- Fix bugs bz#1164664

* Fri Jun 20 2014 Shubhendu Tripathi <shtripat@redhat.com> - 3.0.1-1.0
- Introduced enable and disable mechanism for monitoring feature
- Fix bugs bz#1111087 #1111079

* Tue May 20 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 3.0.0-0.2
- fix bugs bz#1096581 bz#1095654

* Tue Mar 25 2014 Sahina Bose <sabose@redhat.com> - 3.0.0
- Initial import based on RHEV-M setup plugins
